> For the complete documentation index, see [llms.txt](https://docs.wpjobopenings.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wpjobopenings.com/developers/hooks/filters/application-form.md).

# Application Form

### **`awsm_application_form_fields`**

Modifying the application form fields.

#### **Parameters**

* **$default\_form\_fields**

  (array) An array containing default form fields.

#### **Source code**

File:  *`/inc/class-awsm-job-openings-form.php`*

### **`awsm_application_form_fields_order`**

Filter application form fields order.

#### **Parameters**

* **$form\_fields\_order**

  (array) An ordered array of form fields.

#### **Source code**

File:  *`/inc/class-awsm-job-openings-form.php`*

### **`awsm_application_dynamic_form_field_content`**

Filters the form field content of the job application form.

This filter is available since Version 2.0.0

#### **Parameters**

* **$field\_content**

  (string) The content.
* **$field\_type**

  (string) The field type.
* **$field\_args**

  (array) Form field options.

#### **Source code**

File:  *`/inc/class-awsm-job-openings-form.php`*

### **`awsm_application_dynamic_form_fields_content`**

Filters the whole form fields content of the job application form.

This filter is available since Version 1.3.0

#### **Parameters**

* **$form\_fields\_content**

  (string) The content.
* **$dynamic\_form\_fields**

  (array) Dynamic form fields.

#### **Source code**

File:  *`/inc/class-awsm-job-openings-form.php`*

### **`awsm_application_form_title`**

Filters the job application form title.

#### **Parameters**

* **$form\_title**

  (string) Application Form Title.

#### **Source code**

File:  *`inc/templates/single-job/form.php`*

### `awsm_application_form_allowed_html`

Filters the allowed HTML elements and attributes for the form.

This filter is available since Version 3.&#x30;*.*&#x30;\
\
**Parameters**

* **$allowed\_html**\
  (array|string) An array of allowed HTML elements and attributes or a context name.

**Source code**

File : *`inc/class-awsm-job-openings-form.php`*&#x20;

### `awsm_application_form_gdpr_field_content`

Filters the privacy policy checkbox field content.

This filter is available since Version 3.&#x30;*.*&#x30;

**Parameters**

* **$field\_content**\
  (string)Field HTML content.
* **$form\_attrs**\
  (array) Attributes array for the form.

**Source code**

File : *`inc/class-awsm-job-openings-form.php`*   &#x20;

### `awsm_jobs_default_notifications_types`

Filters the default notifications types - applicant or admin.

This filter is available since Version 3.2.0

**Parameters**

* **$types**\
  (array) Notification types array.
* **$applicant\_details**\
  (array) Applicant details array.
* **$data**\
  (array) Notification data array.

**Source code**

File : *`inc/class-awsm-job-openings-form.php`*&#x20;

### `awsm_jobs_paginate_links_content`

Filters the paginate links to content.

This filter is available since Version 3.0.0

**Parameters**

* **$pagination\_content**\
  (string) The HTML content.
* **$query**\
  (array) The Query object.
* **$args**\
  (array) Paginate links arguments.
* **$shortcode\_attrs**\
  (array) Shortcode attributes array.

**Source code**

File : *`inc/template-functions.php`*

### `awsm_jobs_captcha_frontend_config`

Filters the CAPTCHA frontend configuration array. Use this to add custom CAPTCHA providers or modify existing configurations.

This hook is available since Version 3.6.0

**Parameters**

* **$config**\
  (array) An array containing form settings fields

**Source code**&#x20;

File: *`inc/class-awsm-job-openings-form.php`*

### `awsm_jobs_captcha_verify_request_body`

Filters CAPTCHA verification request body. Allows adding custom parameters for verification (e.g., custom data).

This hook is available since Version 4.0.0

**Parameters**

* **$body**\
  (array) Request body array
* **$captcha\_type**\
  (string) CAPTCHA type being verified
* **$token**\
  (string) The response token

**Source code**&#x20;

File: *`inc/class-awsm-job-openings-form.php`*

### `awsm_jobs_captcha_verify_response`

Filters raw CAPTCHA verification response. This is the primary hook for custom CAPTCHA validation logic. Allows complete control over how responses are processed.

This hook is available since Version 3.6.0

**Parameters**

* **$result**\
  (array) Decoded response array from provider
* **$captcha\_type**\
  (string) CAPTCHA type being verified
* **$token**\
  (string) The response token
* **$body**\
  (string) Request body sent to provider

**Source code**&#x20;

File: *`inc/class-awsm-job-openings-form.php`*

### `awsm_jobs_render_captcha`

Allows custom rendering for captcha types. If a custom renderer returns true, the default rendering will be skipped.

This hook is available since Version 3.6.0

**Parameters**

* **$rendered**\
  (bool) Whether custom rendering was performed
* **$captcha\_type**\
  (string) The type of captcha being rendered
* **$site\_key**\
  (string) The site key for the captcha

**Source code**&#x20;

File: *`inc/class-awsm-job-openings-form.php`*

### `awsm_jobs_captcha_fail_message`

Allows final customization of the fail message shown to applicants.

This hook is available since Version 3.6.0

**Parameters**

* **$message**\
  (string) The message that will be displayed
* **$captcha\_type**\
  (string) Current provider key (recaptcha|hcaptcha|turnstile|...)
* **$error\_codes**\
  (array) Provider-specific error codes (if any)
* **$result**\
  (array) Raw verification response array

**Source code**&#x20;

File: *`inc/class-awsm-job-openings-form.php`*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wpjobopenings.com/developers/hooks/filters/application-form.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
